/[gentoo-x86]/dev-lang/ruby/ChangeLog
Gentoo

Diff of /dev-lang/ruby/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.333 Revision 1.487
1# ChangeLog for dev-lang/ruby 1# ChangeLog for dev-lang/ruby
2# Copyright 2002-2008 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.333 2008/04/16 06:44:24 rbrown Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.487 2011/03/07 11:38:35 armin76 Exp $
4
5 07 Mar 2011; Raúl Porcel <armin76@gentoo.org> ruby-1.9.2.ebuild:
6 Add append-flags -mieee on sh, bug #357559
7
8 26 Feb 2011; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p334.ebuild:
9 alpha/arm/ia64/s390/sh stable wrt #355439
10
11 26 Feb 2011; Kacper Kowalik <xarthisius@gentoo.org> ruby-1.9.2.ebuild:
12 Marked ~ppc64 wrt #332593
13
14 20 Feb 2011; Pawel Hajdan jr <phajdan.jr@gentoo.org>
15 ruby-1.8.7_p334.ebuild:
16 x86 stable wrt security bug #355439
17
18 20 Feb 2011; Kacper Kowalik <xarthisius@gentoo.org>
19 ruby-1.8.7_p334.ebuild:
20 ppc/ppc64 stable wrt #355439
21
22 19 Feb 2011; Markos Chandras <hwoarang@gentoo.org> ruby-1.8.7_p334.ebuild:
23 Stable on amd64 wrt bug #355439
24
25 19 Feb 2011; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p334.ebuild:
26 Stable for HPPA (bug #355439).
27
28*ruby-1.8.7_p334 (19 Feb 2011)
29
30 19 Feb 2011; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p334.ebuild:
31 Version bump 1.8.7 series, security bug 355439
32
33 31 Dec 2010; Hans de Graaff <graaff@gentoo.org> ruby-1.9.2_rc2-r1.ebuild,
34 ruby-1.9.2.ebuild:
35 Remove PROVIDE for old-style virtual/ruby per bug 265054.
36
37 31 Dec 2010; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p399.ebuild:
38 Remove masked ruby 1.8.6 per bug 332597.
39
40 07 Sep 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p249.ebuild,
41 -ruby-1.9.2_rc2.ebuild:
42 Removing old and vulnerable ebuilds
43
44 06 Sep 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p302.ebuild:
45 Marking ruby-1.8.7_p302 ppc64 for bug 332957
46
47 28 Aug 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p302.ebuild:
48 alpha/ia64/s390/sh/sparc stable wrt #332957
49
50*ruby-1.9.2 (24 Aug 2010)
51
52 24 Aug 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.2.ebuild,
53 metadata.xml:
54 Version bump. Fixes rdoc handling wrt bug 333897 by Park Ji-in. Drop hppa
55 and x86-fbsd due to a new dependency on rdoc.
56
57 23 Aug 2010; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p302.ebuild:
58 arm stable, bug #332957
59
60 21 Aug 2010; Pawel Hajdan jr <phajdan.jr@gentoo.org>
61 ruby-1.8.7_p302.ebuild:
62 x86 stable wrt security bug #332957
63
64 21 Aug 2010; Markos Chandras <hwoarang@gentoo.org> ruby-1.8.7_p302.ebuild:
65 Stable on amd64 wrt bug #332957
66
67 21 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p302.ebuild:
68 Stable for PPC (bug #332957).
69
70 21 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p302.ebuild:
71 Stable for HPPA (bug #332957).
72
73*ruby-1.8.7_p302 (21 Aug 2010)
74
75 21 Aug 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p299.ebuild,
76 +ruby-1.8.7_p302.ebuild:
77 Revision bump to 1.8.7_p302 for security bug 332957. Fix rubytests
78 installation path.
79
80*ruby-1.8.6_p399 (19 Aug 2010)
81
82 19 Aug 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p388.ebuild,
83 -ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.6_p399.ebuild:
84 Last patchlevel bump for Ruby 1.8.6 to 399, fixes CVE-2010-0541 (bug
85 332957). Also restrict Tk and OpenSSL dependencies and fix rubytests
86 installation path (reported by the x86 team in bug 332597)
87
88*ruby-1.9.2_rc2-r1 (18 Aug 2010)
89
90 18 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
91 +ruby-1.9.2_rc2-r1.ebuild, metadata.xml:
92 Update ebuild; apply webrick security patch; unbundle minitest, rdoc 2 and
93 the rubygems loading code. Add USE flag for psych.
94
95 17 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
96 ruby-1.9.2_rc2.ebuild:
97 Remove two keepdir that will try to keep an empty path, closes bug
98 #333163.
99
100 16 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.9.2_rc2.ebuild:
101 Marked ~ppc (bug #332593).
102
103 15 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
104 ruby-1.9.2_rc2.ebuild:
105 Remove libedit USE flag from 1.9.2 because of upstream bug #3698.
106
107 13 Aug 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
108 ruby-1.8.7_p299.ebuild:
109 Bump eselect-ruby dependency
110
111 13 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
112 -ruby-1.9.1_p429.ebuild:
113 Remove ebuild that is not target for unmask anyway.
114
115 21 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
116 ruby-1.9.2_rc2.ebuild:
117 Try 2 to fix the berkdb 5 issue on 1.9.
118
119 20 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
120 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p299.ebuild, ruby-1.9.1_p429.ebuild,
121 ruby-1.9.2_rc2.ebuild:
122 Add a new patchset to add support for Berkeley DB 5.0 (bug #326937). Add
123 support for adding new patchsets without bumping the revision for all the
124 old ebuilds as well.
125
126*ruby-1.9.2_rc2 (14 Jul 2010)
127
128 14 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
129 +ruby-1.9.2_rc2.ebuild:
130 Bump to 1.9.2 release candidate, that works with OpenSSL 1. This version
131 might cause _further_ build failures as it changed slightly behaviour.
132 You're going to need to rebuild rubygems and then all the packages
133 previously installed after upgrading to this.
134
135 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
136 -ruby-1.8.7_p249-r1.ebuild, -ruby-1.8.7_p249-r2.ebuild,
137 -ruby-1.9.1_p376.ebuild:
138 Cleanup old versions.
139
140*ruby-1.9.1_p429 (04 Jul 2010)
141
142 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
143 +ruby-1.9.1_p429.ebuild:
144 Version bump to new 1.9.1 release.
145
146*ruby-1.8.7_p299 (23 Jun 2010)
147
148 23 Jun 2010; Diego E. Pettenò <flameeyes@gentoo.org>
149 +ruby-1.8.7_p299.ebuild:
150 Version bump.
151
152 19 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
153 ruby-1.8.7_p249-r2.ebuild, ruby-1.9.1_p376.ebuild:
154 remove useless comments
155
156 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
157 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p249-r2.ebuild,
158 ruby-1.9.1_p376.ebuild:
159 Update ebuilds to be consistent with ruby-enterprise; patches are moved to
160 dev.gentoo.org now.
161
162 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
163 ruby-1.9.1_p376.ebuild:
164 Use the correct RUBYLIB.
165
166*ruby-1.8.7_p249-r2 (18 May 2010)
167*ruby-1.8.6_p388-r1 (18 May 2010)
168
169 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
170 +ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.7_p249-r2.ebuild,
171 ruby-1.9.1_p376.ebuild, metadata.xml:
172 Add patches to build with BerkDB 5.0 (bug #319583) and OpenSSL 1.0 (bug
173 #304427) to Ruby 1.8.x. Also use --no-undefined as it's done for 1.9. Also
174 add USE flags for ncurses, readline and libedit, and properly depend on
175 zlib. Drop emacs USE flag and dependency on app-emacs/ruby-mode as the new
176 Emacs versions support ruby-mode themselves and it should be even more
177 updated.
178
179*ruby-1.8.7_p249-r1 (06 May 2010)
180
181 06 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p249-r1.ebuild:
182 Revbump 1.8.7 to add patch for threading/timeout-related hangs. Closes bug
183 309789 by Sune Kloppenborg Jeppesen.
184
185 06 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
186 ruby-1.8.7_p249.ebuild:
187 Use $PVR instead of $PV in patchset names
188
189 06 May 2010; Alex Legler <a3li@gentoo.org>
190 -files/ruby-1.8.6-memory-leak.diff,
191 -files/ruby18-mkmf-parallel-install.patch,
192 -files/ruby-1.8.6-uclibc-udp.patch, -ruby-1.9.1_p243.ebuild,
193 -files/auto_gem.rb, -files/ruby-mkconfig.patch:
194 Remove old version. Cleanup in files/
195
196*ruby-1.9.1_p376 (01 May 2010)
197
198 01 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.1_p376.ebuild:
199 Version bump. Fixes security bugs 296052 and 300468. No longer installs
200 rubygems or auto_gem.rb. Use dev-ruby/rubygems[ruby_targets_ruby19]
201 instead.
202
203 13 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p369.ebuild,
204 -ruby-1.8.7_p174-r1.ebuild:
205 Remove vulnerable ebuilds, 300468
206
207 13 Jan 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
208 ruby-1.8.7_p249.ebuild:
209 amd64 stable, security bug 300468
210
211 13 Jan 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p388.ebuild,
212 ruby-1.8.7_p249.ebuild:
213 alpha/arm/ia64/s390/sh/sparc stable wrt #300468
214
215 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p249.ebuild:
216 Stable for HPPA (bug #300468).
217
218 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p388.ebuild:
219 Stable for HPPA (bug #300468).
220
221 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p249.ebuild:
222 Marking ruby-1.8.7_p249 ppc64 and ppc for bug 300468
223
224 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p388.ebuild:
225 Marking ruby-1.8.6_p388 ppc64 and ppc for bug 300468
226
227 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
228 ruby-1.8.6_p388.ebuild:
229 stable x86, security bug 300468
230
231 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
232 ruby-1.8.7_p249.ebuild:
233 stable x86, security bug 300468
234
235*ruby-1.8.6_p388 (10 Jan 2010)
236
237 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p383.ebuild,
238 +ruby-1.8.6_p388.ebuild:
239 Version bump (1.8.6), security bug 300468. Remove unneded vulnerable
240 version. The new ebuild also has the fix for bug 168939.
241
242*ruby-1.8.7_p249 (10 Jan 2010)
243
244 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p248.ebuild,
245 +ruby-1.8.7_p249.ebuild:
246 Version bump (1.8.7) for security bug 300468, removing unneeded vulnerable
247 version
248
249 02 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
250 Marking ruby-1.8.7_p174-r1 ppc64 for bug 288699
251
252*ruby-1.8.7_p248 (25 Dec 2009)
253
254 25 Dec 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p248.ebuild:
255 Version bump
256
257 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
258 Remove old version.
259
260 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
261 Remove old version.
262
263 15 Dec 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
264 ia64/s390/sh stable wrt #288699
265
266 11 Nov 2009; Tiago Cunha <tcunha@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
267 stable sparc, bug 288699
268
269 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
270 arm stable, bug #288699
271
272 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
273 amd64/x86 stable, bug #288699
274
275 24 Oct 2009; Tobias Klausmann <klausman@gentoo.org>
276 ruby-1.8.7_p174-r1.ebuild:
277 Stable on alpha, bug #288699
278
279 24 Oct 2009; nixnut <nixnut@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
280 ppc stable #288699
281
282 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
283 Stable for HPPA (bug #288699).
284
285 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.9.1_p243.ebuild:
286 Marked ~hppa too.
287
288*ruby-1.8.7_p174-r1 (06 Oct 2009)
289
290 06 Oct 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p174-r1.ebuild:
291 Revision bump. Added fix for bug 168939 (ipv6), now uses the new
292 eselect-ruby cleanup feature.
293
294*ruby-1.9.1_p243 (09 Sep 2009)
295
296 09 Sep 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1_p129.ebuild,
297 -ruby-1.9.1_p129-r1.ebuild, +ruby-1.9.1_p243.ebuild,
298 -files/ruby-1.9.1_p129-gfbsd7.patch, -files/ruby19-rubygems-gentoo.patch,
299 -files/ruby-1.9.1_p129-no-undefined-ext.patch,
300 -files/ruby19-rubygems-proxy.patch,
301 -files/ruby-1.9.1_p129-parallelmake.patch,
302 -files/ruby19-mkmf-parallel-install.patch:
303 Version bump. Fixing bugs 278899 by Daniel Robbins, 279825, 277210 and
304 168939. Cleaning up old patches.
305
306*ruby-1.8.6_p383 (20 Aug 2009)
307
308 20 Aug 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p383.ebuild:
309 Patchlevel bump.
310
311 31 Jul 2009; Samuli Suominen <ssuominen@gentoo.org>
312 ruby-1.8.6_p369.ebuild, ruby-1.8.7_p174.ebuild, ruby-1.9.1_p129.ebuild,
313 ruby-1.9.1_p129-r1.ebuild:
314 Move USE defaults berkdb and gdbm from profiles/base/package.use to here.
315
316 28 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p368.ebuild:
317 Removing vulnerable ebuild, bug 273213.
318
319 21 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
320 Marking ruby-1.8.6_p369 ppc for bug 273213
321
322 20 Jun 2009; Diego E. Pettenò <flameeyes@gentoo.org>
323 ruby-1.9.1_p129-r1.ebuild:
324 Prepend our library path instead of overwriting it during src_install.
325 Thanks to the reporter of bug #274824.
326
327*ruby-1.8.7_p174 (18 Jun 2009)
328
329 18 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild,
330 -ruby-1.8.7_p173.ebuild, +ruby-1.8.7_p174.ebuild:
331 Replacing 187_p173 with _p174 because of a regression. Unifying the
332 ebuilds by adding unset RUBYOPT to the 186 ebuild. Migrated 187_p174 to
333 patchsets.
334
335 17 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
336 Marking ruby-1.8.6_p369 ppc64 for bug 273213
337
338 16 Jun 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p369.ebuild:
339 arm/ia64/s390/sh/sparc stable wrt #273213
340
341 16 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild,
342 ruby-1.8.6_p369.ebuild, -ruby-1.8.7_p160.ebuild:
343 Removing old version, minor cleanup
344
345 14 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p114.ebuild,
346 -files/ruby-1.8.6-openssl.patch,
347 -files/ruby-1.8.6-shortname_constants.patch,
348 -files/ruby-1.8.6_p111-r13657.patch,
349 -files/ruby-1.8.6_p287-entity_expansion_limit.diff:
350 Removing vulnerable old Ruby version and stale patches, bug 274108.
351
352 11 Jun 2009; Tobias Klausmann <klausman@gentoo.org>
353 ruby-1.8.6_p369.ebuild:
354 Stable on alpha, bug #273213
355
356 10 Jun 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p369.ebuild:
357 Stable for HPPA (bug #273213).
358
359 10 Jun 2009; Christian Faulhammer <fauli@gentoo.org>
360 ruby-1.8.6_p369.ebuild:
361 stable x86, security bug 273213
362
363 10 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild:
364 amd64 stable, security bug 273213.
365
366*ruby-1.8.7_p173 (10 Jun 2009)
367*ruby-1.8.6_p369 (10 Jun 2009)
368
369 10 Jun 2009; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p369.ebuild,
370 +ruby-1.8.7_p173.ebuild:
371 Version bumps for bug #273213.
372
373*ruby-1.9.1_p129-r1 (27 May 2009)
374
375 27 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
376 +ruby-1.9.1_p129-r1.ebuild, +files/ruby-1.9.1_p129-gfbsd7.patch,
377 +files/ruby-1.9.1_p129-no-undefined-ext.patch,
378 +files/ruby-1.9.1_p129-parallelmake.patch:
379 Revision bump, add patches 1) to make Ruby behave more similarly between
380 Linux and (Gentoo/)FreeBSD; 2) to force --no-undefined when building Ruby
381 extensions (undefined symbols in them will cause abort at runtime 3) to
382 remove a concurrency issue when building the dl extension that could
383 result in a broken dl.so.
384
385 24 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
386 ruby-1.8.7_p160.ebuild, ruby-1.9.1_p129.ebuild:
387 Don't block rdoc-2 or later (which may enter Portage one day as it's
388 needed by some Rakefiles).
389
390 15 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
391 ruby-1.9.1_p129.ebuild:
392 Add ~x86-fbsd keyword.
393
394 15 May 2009; Alexis Ballier <aballier@gentoo.org> ruby-1.8.7_p160.ebuild:
395 keyword ~sparc-fbsd, bug #252315
396
397*ruby-1.9.1_p129 (15 May 2009)
398
399 15 May 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1-r1.ebuild,
400 +ruby-1.9.1_p129.ebuild, -files/ruby-ossl_ocsp-verification.patch:
401 Patchlevel bump, closes bug 267453. Removing OSCP verification patch, now
402 included in every release.
403
404 10 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p114.ebuild,
405 -ruby-1.8.6_p287-r5.ebuild, -ruby-1.8.6_p287-r13.ebuild,
406 ruby-1.8.6_p368.ebuild, -ruby-1.8.7_p72-r11.ebuild,
407 ruby-1.8.7_p160.ebuild:
408 Removing vulnerable versions (#268515), fixing license (#233747).
409
410 09 May 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p368.ebuild:
411 Stable for HPPA (bug #268515).
412
413 09 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.9.1-r1.ebuild:
414 Adapting rubygems notice.
415
416 08 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild:
417 amd64 stable, bug #268515.
418
419 08 May 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p368.ebuild:
420 arm/ia64/s390/sh/sparc stable wrt #268515
421
422 07 May 2009; Christian Faulhammer <fauli@gentoo.org>
423 ruby-1.8.6_p368.ebuild:
424 stable x86, security bug 268515
425
426 07 May 2009; Tobias Klausmann <klausman@gentoo.org>
427 ruby-1.8.6_p368.ebuild:
428 Stable on alpha, bug #268515
429
430 07 May 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p368.ebuild:
431 Marking ruby-1.8.6_p368 ppc64 and ppc for bug 268515
432
433*ruby-1.8.7_p160 (07 May 2009)
434*ruby-1.8.6_p368 (07 May 2009)
435
436 07 May 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p368.ebuild,
437 +ruby-1.8.7_p160.ebuild:
438 Version bump as per secbug 268515. NB: These are the first ebuilds that
439 no longer use ruby-config.
440
441*ruby-1.9.1-r1 (03 Apr 2009)
442*ruby-1.8.7_p72-r11 (03 Apr 2009)
443*ruby-1.8.6_p287-r13 (03 Apr 2009)
444
445 03 Apr 2009; Alex Legler <a3li@gentoo.org>
446 +files/ruby-1.8.6-uclibc-udp.patch, +files/auto_gem.rb,
447 +files/ruby18-mkmf-parallel-install.patch,
448 +files/ruby19-mkmf-parallel-install.patch, -ruby-1.8.6_p287-r12.ebuild,
449 +ruby-1.8.6_p287-r13.ebuild, -ruby-1.8.7_p72-r10.ebuild,
450 +ruby-1.8.7_p72-r11.ebuild, -ruby-1.9.1.ebuild, +ruby-1.9.1-r1.ebuild:
451 Revbumps fixing bugs 239101 (thanks to matsuu) and 260760 (thanks to Tom
452 Lloyd), ruby-1.9.1 is now EAPI-2. Removing old versions. Adding fake
453 auto_gem.rb for Ruby 1.9.1. Removing redundant WANT_AUTO* to make repoman
454 happy.
455
456*ruby-1.9.1 (21 Mar 2009)
457
458 21 Mar 2009; Alex Legler <a3li@gentoo.org>
459 +files/ruby19-rubygems-gentoo.patch, +files/ruby19-rubygems-proxy.patch,
460 +ruby-1.9.1.ebuild:
461 Adding Ruby 1.9.1 for preliminary testing
462
463 20 Mar 2009; Joseph Jezak <josejx@gentoo.org> ruby-1.8.7_p72-r10.ebuild,
464 ruby-1.8.6_p287-r12.ebuild:
465 Marked ~ppc for bug #252315.
466
467 10 Mar 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.7_p72-r10.ebuild:
468 Unsetting RUBYOPT in src_install, backport from Ruby 1.9 ebuilds, fixes
469 bug 261982.
470
471 09 Mar 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p287-r1.ebuild,
472 -ruby-1.8.6_p287-r3.ebuild, -ruby-1.8.6_p287-r4.ebuild,
473 -ruby-1.8.6_p287-r10.ebuild, -ruby-1.8.6_p287-r11.ebuild,
474 -ruby-1.8.7_p72-r1.ebuild, -ruby-1.8.7_p72-r2.ebuild:
475 Cleanup
476
477*ruby-1.8.7_p72-r10 (07 Mar 2009)
478
479 07 Mar 2009; Diego E. Pettenò <flameeyes@gentoo.org>
480 +ruby-1.8.7_p72-r10.ebuild:
481 Add a revision of ruby 1.8.7 using eselect ruby.
482
483 03 Mar 2009; Peter Volkov <pva@gentoo.org> ruby-1.8.6_p287-r12.ebuild:
484 ~mips keyworded, bug #252315.
485
486 25 Feb 2009; Tobias Scherbaum <dertobi123@gentoo.org>
487 ruby-1.8.6_p287-r5.ebuild:
488 ppc stable, bug #260006
489
490 25 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
491 arm/ia64/s390/sh/sparc/x86 stable wrt #260006
492
493 24 Feb 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p287-r5.ebuild,
494 ruby-1.8.6_p287-r12.ebuild, ruby-1.8.7_p72-r2.ebuild:
495 Fixing Tk USE flag test, bug 258893.
496
497 23 Feb 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
498 Marking ruby-1.8.6_p287-r5 ppc64 for bug 260006
499
500 23 Feb 2009; Tobias Heinlein <keytoaster@gentoo.org>
501 ruby-1.8.6_p287-r5.ebuild:
502 amd64 stable wrt security bug #260006
503
504 23 Feb 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
505 Stable for HPPA (bug #260006).
506
507 23 Feb 2009; Tobias Klausmann <klausman@gentoo.org>
508 ruby-1.8.6_p287-r5.ebuild:
509 Stable on alpha, bug #260006
510
511*ruby-1.8.7_p72-r2 (23 Feb 2009)
512*ruby-1.8.6_p287-r12 (23 Feb 2009)
513*ruby-1.8.6_p287-r5 (23 Feb 2009)
514
515 23 Feb 2009; Alex Legler <a3li@gentoo.org> +files/ruby-mkconfig.patch,
516 +files/ruby-ossl_ocsp-verification.patch, +ruby-1.8.6_p287-r5.ebuild,
517 +ruby-1.8.6_p287-r12.ebuild, +ruby-1.8.7_p72-r2.ebuild:
518 Revision bumps for security bug 260006 (X.509 certificate spoofing). Also
519 fixing bugs 234877 (backported patch for mkconfig), 258893 (ebuild dies
520 now before compilation if Tk useflags don't match) and 230748 (adding
521 --enable-option-checking=no for newer versions of autoconf).
522
523 10 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
524 arm/ia64/s390/sh/sparc stable wrt #254307
525
526 25 Jan 2009; Tobias Klausmann <klausman@gentoo.org>
527 ruby-1.8.6_p287-r4.ebuild:
528 Stable on alpha, bug #254307
529
530 20 Jan 2009; Alexis Ballier <aballier@gentoo.org>
531 ruby-1.8.6_p287-r11.ebuild:
532 keyword ~x86-fbsd, bug #252315
533
534 17 Jan 2009; nixnut <nixnut@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
535 ppc stable #254307
536
537 15 Jan 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
538 amd64/x86 stable, bug #254307
539
540 14 Jan 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
541 stable ppc64, bug 254307
542
543 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
544 Stable for HPPA (bug #254307).
545
546 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r10.ebuild,
547 ruby-1.8.6_p287-r11.ebuild:
548 Marked ~hppa (bug #252315).
549
550*ruby-1.8.6_p287-r11 (11 Jan 2009)
551
552 11 Jan 2009; Hans de Graaff <graaff@gentoo.org>
553 +files/ruby-1.8.6-openssl.patch, +ruby-1.8.7_p287-r4,
554 +ruby-1.8.6_p287-r11.ebuild:
555 Backport conditional definition of missing openssl functions from ruby 1.8.7.
556 Fixes #254307.
557
558 29 Dec 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
559 Marking ruby-1.8.6_p287-r10 ~ppc64 for bug 252315
560
561 26 Dec 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
562 Add ~alpha/~arm/~ia64/~s390/~sh wrt #251159
563
564 24 Dec 2008; Friedrich Oslage <bluebird@gentoo.org>
565 ruby-1.8.6_p287-r10.ebuild:
566 Add ~sparc keyword, bug #252315
567
568*ruby-1.8.6_p287-r10 (23 Dec 2008)
569
570 23 Dec 2008; Hans de Graaff <graaff@gentoo.org>
571 +ruby-1.8.6_p287-r10.ebuild:
572 Version bump which switches from ruby-config to eselect-ruby. Dropped most
573 keywords since eselect-ruby does not yet have these keywords.
574
575 23 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
576 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
577 Revert the ruby-config changes. We can't remove them until we provide an
578 alternative outside the ebuilds, and eselect-ruby isn't stable yet. Apologies
579 for breaking things as mentioned in bug #251833.
580
581 22 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
582 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
583 ruby-1.8.7_p72-r1.ebuild:
584 Remove pkg_postinst and pkg_postrm functions now that ruby-config is gone.
585 Thanks for the people noticing this in bug #251833.
586
587 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
588 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
589 ruby-1.8.7_p72-r1.ebuild:
590 Drop dependency on ruby-config, which will be removed from the tree. We
591 currently only have one major version of ruby in the tree (Ruby 1.8), so there
592 is no need for ruby-config at this moment. For newer versions of Ruby we will
593 use eselect-ruby, which can be found in the ruby overlay at the moment.
594
595 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
596 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
597 Use mirror://ruby in SRC_URI, fixes #237392.
598
599 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p111.ebuild,
600 -ruby-1.8.6_p111-r1.ebuild, -ruby-1.8.6_p287-r2.ebuild,
601 -ruby-1.8.7_p72.ebuild:
602 Remove old versions. Leave one old stable version with cjk support.
603
604*ruby-1.8.6_p287-r3 (29 Nov 2008)
605
606 29 Nov 2008; Hans de Graaff <graaff@gentoo.org>
607 files/ruby-1.8.6_p287-entity_expansion_limit.diff,
608 +ruby-1.8.6_p287-r3.ebuild:
609 Fix our expansion limit patch according to debian bug report
610 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502535 and bump the ebuild to
611 make sure people will pick up the fixed version. Thanks to Alex Legler for
612 mentioning the patch.
613
614*ruby-1.8.7_p72-r1 (26 Nov 2008)
615*ruby-1.8.6_p287-r2 (26 Nov 2008)
616
617 26 Nov 2008; Hans de Graaff <graaff@gentoo.org>
618 +files/ruby-1.8.6-shortname_constants.patch, +ruby-1.8.6_p287-r2.ebuild,
619 +ruby-1.8.7_p72-r1.ebuild:
620 Fix problem with shortname constants #247790, already fixed in upstream SVN.
621 Thanks to Alex Legler for providing the patch.
622
623 26 Nov 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p286.ebuild,
624 -ruby-1.8.6_p287.ebuild:
625 Remove versions that will not become stable
626
627 16 Sep 2008; Tobias Scherbaum <dertobi123@gentoo.org>
628 ruby-1.8.6_p287-r1.ebuild:
629 ppc stable, bug #225465
630
631 11 Sep 2008; Tobias Heinlein <keytoaster@gentoo.org>
632 ruby-1.8.6_p287-r1.ebuild:
633 amd64 stable wrt security bug #225465
634
635 11 Sep 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
636 alpha/ia64/x86 stable wrt #225465
637
638 11 Sep 2008; Ferris McCormick <fmccor@gentoo.org>
639 ruby-1.8.6_p287-r1.ebuild:
640 Sparc stable --- Security Bug #225465 --- good since late August.
641
642 11 Sep 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
643 Stable on ppc64; bug #225465
644
645 11 Sep 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
646 Stable for HPPA (bug #225465).
647
648*ruby-1.8.6_p287-r1 (29 Aug 2008)
649
650 29 Aug 2008; Hans de Graaff <graaff@gentoo.org>
651 +files/ruby-1.8.6_p287-entity_expansion_limit.diff,
652 +ruby-1.8.6_p287-r1.ebuild:
653 Fix REXML security issues, bug #236060.
654
655 23 Aug 2008; Jeroen Roovers <jer@gentoo.org> metadata.xml:
656 Add GLEP 56 USE flag descriptions.
657
658*ruby-1.8.7_p72 (15 Aug 2008)
659
660 15 Aug 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_p22.ebuild,
661 +ruby-1.8.7_p72.ebuild:
662 bump 1.8.7 to latest patch release
663
664*ruby-1.8.6_p287 (11 Aug 2008)
665
666 11 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p287.ebuild:
667 Version bump for brown paper bag relelease.
668
669 10 Aug 2008; Hans de Graaff <graaff@gentoo.org>
670 -files/ruby-1.8.6-revert-r15856.patch, -ruby-1.8.6_p230.ebuild:
671 Remove broken version in favor of the just-added 1.8.6_p286
672
673*ruby-1.8.6_p286 (10 Aug 2008)
674
675 10 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p286.ebuild:
676 Version bump to latest released version of ruby 1.8.6. This version fixes the
677 security issues reported in #225465 and #234224. The cjk USE flag has been
678 dropped since no compatible patches have been released yet.
679
680 25 Jul 2008; Michael Sterrett <mr_bones_@gentoo.org>
681 ruby-1.8.6_p230.ebuild:
682 drop cjk from SRC_URI as well
683
684 15 Jul 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p230.ebuild:
685 Drop cjk support since the most recent oniguruma patches no longer apply to
686 this version, #230111.
687
688 29 Jun 2008; Hans de Graaff <graaff@gentoo.org>
689 +files/ruby-1.8.6-revert-r15856.patch, +ruby-1.8.6_p230.ebuild:
690 Try to fix the security issues reported in #225465 for ruby 1.8.6.
691 Unfortunately the official p230 has a change which causes segmentation faults
692 for applications like Rails and RSpec, so we are reverting that specific
693 change.
694
695*ruby-1.8.7_p22 (29 Jun 2008)
696
697 29 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7.ebuild,
698 +ruby-1.8.7_p22.ebuild:
699 bump 1.8.7 for security fix
700
701 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.6_p230.ebuild:
702 nevermind, don't bump this yet
703
704*ruby-1.8.6_p230 (20 Jun 2008)
705
706 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> +ruby-1.8.6_p230.ebuild:
707 version bump
708
709*ruby-1.8.7 (10 Jun 2008)
710
711 10 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_pre2.ebuild,
712 +ruby-1.8.7.ebuild:
713 bump 1.8.7 to final
714
715*ruby-1.8.7_pre2 (21 Apr 2008)
716
717 21 Apr 2008; Richard Brown <rbrown@gentoo.org> -ruby-1.8.7_pre1.ebuild,
718 +ruby-1.8.7_pre2.ebuild:
719 Version Bump
4 720
5*ruby-1.8.7_pre1 (16 Apr 2008) 721*ruby-1.8.7_pre1 (16 Apr 2008)
6 722
7 16 Apr 2008; Richard Brown <rbrown@gentoo.org> +ruby-1.8.7_pre1.ebuild: 723 16 Apr 2008; Richard Brown <rbrown@gentoo.org> +ruby-1.8.7_pre1.ebuild:
8 Version bump. Drop cjk until a new version of oniguruma appears. 724 Version bump. Drop cjk until a new version of oniguruma appears.

Legend:
Removed from v.1.333  
changed lines
  Added in v.1.487

  ViewVC Help
Powered by ViewVC 1.1.20